Bug 37259 - FORMATTING Define Print Range across filtered rows fails
Summary: FORMATTING Define Print Range across filtered rows fails
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-UX
  Show dependency treegraph
 
Reported: 2011-05-16 08:04 UTC by Jaap Stolk
Modified: 2019-08-01 03:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet file with an auto filter, hiding several rows (12.89 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-05-16 08:04 UTC, Jaap Stolk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaap Stolk 2011-05-16 08:04:33 UTC
Created attachment 46771 [details]
spreadsheet file with an auto filter, hiding several rows

Rows in a LibreOffice Calc sheet can be hidden using a data filter.

What does not work:

Defining a Print Range using a selection across any of the hidden rows fails (without error message).

What does work:

Defining the Print Range using a selection when the filter shows "All" data. (no hidden rows)
Defining the Print Range across hidden rows, using "Format"-> "Print Ranges" -> "Edit" -> "-User Defined-" -> "$A$13:$D$25".
Defining the Print Range using a selection, somewhere that does not cross any hidden rows.
After successfully setting the Print Range, the filter can then hide rows, and these hidden rows are not printed (as expected).

What has no effect:

If the section is made using the keyboard with "Shift", has the same problem as when the selection is made using by dragging the mouse.
(When selecting the range with the keyboard, the down button also cycles through the hidden rows)
"Normal" or "Page break view" makes no difference, just easyer to see that setting the Print Range failed.

Expected behaviour:

Defining a Print Range using a selection across hidden(filtered) rows should work, just like entering the Print Range cell numbers manually in the Edit Print Range window.

The attached filtered_print_range.ods is created from scratch in (Win32) LibreOffice 3.3.2, and has only been saved in the native ods format.

found in:
LibreOffice 3.3.2 OOO330m19 (Build:202) tag libreoffice-3.3.2.2 (Windows XP) (Dutch, 32-bit)

confirmed in:
LibreOffice 3.3.2 OOO330m19 (Build:202) tag libreoffice-3.3.2.2, Ubuntu package 1:3.3.2-1ubuntu4 (English, 32-bit)
Comment 1 Jaap Stolk 2011-05-16 08:31:14 UTC
Confirmed in latest beta:
LibreOffice 3.4.0 DEV300m103 (Build:5) Windows XP 32-bit
Comment 2 Björn Michaelsen 2011-12-23 12:04:57 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 13:59:01 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:00:14 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:04:55 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:07:01 UTC Comment hidden (obsolete)
Comment 7 sasha.libreoffice 2012-09-05 07:45:12 UTC
Works in 3.6.1 on Fedora 64 bit
used this: Format->Print range->Edit
for assigning print range for selection
so, WFM
Comment 8 Jaap Stolk 2012-09-05 08:53:59 UTC
Format->Print range->Edit works (as I stated in the original report), even choosing the "use selection" option in that dialogue works (which I did not try before).
But the reported problem: setting the print range using Format->Print range->Define (crossing hidden rows of an autofilter) is still there.

I just confirmed this bug in version 3.6.1.2 e29a214 (Windows 32-bit)

Regarding Bugzilla: this report was automatically changed from NEW to NEEDINFO,
and then automatically closed after 6 month, without anyone actually asking for more info. Since I'm the original reporter, I'm not sure whether that counts as VERIFIED, so I'm changing it to REOPENED.
Comment 9 Florian Reisinger 2012-09-05 09:23:00 UTC
Yep, confirming this bug @ Windows 7 x64 LibreOffice 3.6.2.1
Comment 10 QA Administrators 2015-01-05 17:51:55 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-01-20 14:40:10 UTC
Still reproducible.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 12 QA Administrators 2016-02-21 08:36:28 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2017-03-06 15:30:20 UTC Comment hidden (obsolete)
Comment 14 Jaap Stolk 2017-03-06 17:52:27 UTC Comment hidden (obsolete)
Comment 15 Jaap Stolk 2017-03-07 11:54:46 UTC
this bug is still in: Versie: 5.3.0.3 (Dutch, Windows)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1

As mentioned above, following the route: edit print range -> select area, works, but selecting an area, and then: edit -> define print range, does not work.
Comment 16 Stan 2017-07-06 00:36:21 UTC
Confirmed bug is still in 5.3.4.2 Mac
Comment 17 Borja López Soilán 2018-04-09 09:25:34 UTC
This bug is still alive! 

Tested:
- LO 5.1.6.2 on Linux Mint (x64) -> "no data" on print preview
- LO 5.2.7.1 on Windows 10 (x64) -> "no data" on print preview
- LO 5.4.5.1 on Windows 10 (x64) -> "no data" on print preview
- LO 6.0.2.1 on Windows 10 (x64) -> shows everything on print preview
Comment 18 QA Administrators 2019-08-01 03:36:33 UTC
Dear Jaap Stolk,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug